"use strict";

const {
  convertCode
} = require('../utilities');

test('Dynamic import', () => {
  const inputCode = `let a = 10;
fileimport('/components/file.js').then(File => {
  File.show()
});
let file= await import('/components/file.js');`;
  const outputCode = `let a = 10;
fileimport('/components/file.js').then(File => {
  File.show();
});
let file = await import('/components/file.js');`;
  expect(convertCode(inputCode)).toBe(outputCode);
});